petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSSetFromOptions

sets parameters in a PetscDS from the options database

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetFromOptions(PetscDS prob)

Collective on PetscDS

### Input Parameter

prob -the PetscDS object to set options for

### Options Database

| -petscds_type <type> : Set the DS type | - . -petscds_view <view opt> : View the DS
| -petscds_jac_pre : Turn formation of a separate Jacobian preconditioner on and off | - . -bc_<name> <ids> : Specify a list of label ids for a boundary condition
| -bc_<name>_comp <comps> : Specify a list of field components to constrain for a boundary condition | -

### See Also

PetscDSView()

### Level

developer

### Location

src/dm/dt/interface/dtds.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages